Does CF Geo Plugin works with PHP7?

Yes! CF Geo Plugin is made to support all PHP versions from PHP5.4 to latest PHP 7 version.